## com.imcode.imcms.servlet.admin
Class UserFinder

    java.lang.Object
      com.imcode.imcms.servlet.WebComponent
          com.imcode.imcms.servlet.admin.UserFinder

All Implemented Interfaces:
  java.io.Serializable

    public class UserFinder

extends WebComponent

See Also:
  Serialized Form

Nested Class Summary
`static interface` `UserFinder.SelectUserCommand`

Constructor Summary
`UserFinder()`

Method Summary
`void` `forward(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`LocalizedMessage` `getHeadline()`
`static UserFinder` `getInstance(javax.servlet.http.HttpServletRequest request)`
`LocalizedMessage` `getSelectButtonText()`
`boolean` `isNullSelectable()`
`boolean` `isUsersAddable()`
`void` `selectUser(UserDomainObject selectedUser, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `setHeadline(LocalizedMessage headline)`
`void` `setNullSelectable(boolean nullSelectable)`
`void` `setSelectButtonText(LocalizedMessage buttonText)`
`void` `setSelectUserCommand(UserFinder.SelectUserCommand selectUserCommand)`
`void` `setUsersAddable(boolean usersAddable)`

Methods inherited from class com.imcode.imcms.servlet.WebComponent
`cancel, isCancelable, setCancelCommand`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserFinder

    public UserFinder()

Method Detail

### getInstance

    public static UserFinder getInstance(javax.servlet.http.HttpServletRequest request)

### setUsersAddable

    public void setUsersAddable(boolean usersAddable)

### forward

    public void forward(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws java.io.IOException,
                        javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### setSelectButtonText

    public void setSelectButtonText(LocalizedMessage buttonText)

### getSelectButtonText

    public LocalizedMessage getSelectButtonText()

### isUsersAddable

    public boolean isUsersAddable()

### isNullSelectable

    public boolean isNullSelectable()

### setNullSelectable

    public void setNullSelectable(boolean nullSelectable)

### selectUser

    public void selectUser(UserDomainObject selectedUser,
                           javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response)
                    throws java.io.IOException,
                           javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### setSelectUserCommand

    public void setSelectUserCommand(UserFinder.SelectUserCommand selectUserCommand)

### getHeadline

    public LocalizedMessage getHeadline()

### setHeadline

    public void setHeadline(LocalizedMessage headline)